package com.sooka.sponest.monitor.remoteapi.fallback.center.file;


import com.sooka.sponest.monitor.remoteapi.service.center.file.RemoteFileBaseService;
import org.springframework.cloud.openfeign.FallbackFactory;
import org.springframework.stereotype.Component;

@Component
public class RemoteFileServiceFallbackFactory implements FallbackFactory<RemoteFileBaseService> {

    @Override
    public RemoteFileBaseService create(Throwable cause) {
        System.out.println("文件服务中心 remote service error!!!");
        return null;
    }
}
